# fortios_system_gre_tunnel – Configure GRE tunnel in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify system feature and gre_tunnel category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

state
string / required

Choices:
- present
- absent

Indicates whether to create or remove the object.

system_gre_tunnel dictionary | Default: null | Configure GRE tunnel.

checksum_reception
string

Choices:
- disable
- enable

Enable/disable validating checksums in received GRE packets.

checksum_transmission
string

Choices:
- disable
- enable

Enable/disable including checksums in transmitted GRE packets.

dscp_copying
string

Choices:
- disable
- enable

Enable/disable DSCP copying.

| interface string |  | Interface name. Source system.interface.name.

ip_version
string

Choices:
- 4
- 6

IP version to use for VPN interface.

| keepalive_failtimes integer |  | Number of consecutive unreturned keepalive messages before a GRE connection is considered down (1 - 255).
| keepalive_interval integer |  | Keepalive message interval (0 - 32767, 0 = disabled).
| key_inbound integer |  | Require received GRE packets contain this key (0 - 4294967295).
| key_outbound integer |  | Include this key in transmitted GRE packets (0 - 4294967295).
| local_gw string |  | IP address of the local gateway.
| local_gw6 string |  | IPv6 address of the local gateway.
| name string / required |  | Tunnel name.
| remote_gw string |  | IP address of the remote gateway.
| remote_gw6 string |  | IPv6 address of the remote gateway.

sequence_number_reception
string

Choices:
- disable
- enable

Enable/disable validating sequence numbers in received GRE packets.

sequence_number_transmission
string

Choices:
- disable
- enable

Enable/disable including of sequence numbers in transmitted GRE packets.

username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure GRE tunnel.
        fortios_system_gre_tunnel:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          system_gre_tunnel:
            checksum_reception: "disable"
            checksum_transmission: "disable"
            dscp_copying: "disable"
            interface: "<your_own_value> (source system.interface.name)"
            ip_version: "4"
            keepalive_failtimes: "8"
            keepalive_interval: "9"
            key_inbound: "10"
            key_outbound: "11"
            local_gw: "<your_own_value>"
            local_gw6: "<your_own_value>"
            name: "default_name_14"
            remote_gw: "<your_own_value>"
            remote_gw6: "<your_own_value>"
            sequence_number_reception: "disable"
            sequence_number_transmission: "disable"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.